*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family:Arial, Helvetica, sans-serif;
}
body{
  background-color: white;
}
.header{
  position: relative;
  height: 250px;
  margin-top: 10px;
  width: 100%;
  background-color: grey;
}

.header img{
  position: absolute;
  height: 100%;
  width: 100%;
  object-fit: cover;
}
.header .headercont{
  height:100%;
  width: 100%;
  position: absolute;
  background-color: rgba(0, 0, 0, 0.2);
  display: flex;
  align-items: center;
  justify-content: center;
}
.header .headercont .name{
  font-weight: bold;
  color:gold;
  position: absolute;
  font-size:40px;
  top: 120px;
  text-transform: uppercase;
}
.header .headercont .directive{
  font-weight: normal;
  color:white;
  position: absolute;
  font-size: 14px;
  top: 160px;
  text-align:center;
  text-transform: uppercase;
}
.main{
  position: relative;
  width: 100%;
  max-height: 100%;
  min-height: 300px;
  background-color:transparent;
  
}
.main h1{
  position: relative;
  font-size: 24px;
  padding:12px 5px;
  text-transform: uppercase;
}
.main .maincont{
  position: relative;
  min-height: 180px;
  width: 100%;
  min-width: 100%;
  padding: 5px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(165px, 0.2fr));
  grid-template-rows: repeat(auto-fit, minmax(260px, 0.1fr));
  column-gap: 1em;
  justify-content:center;
  row-gap: 1.5em;
  margin-bottom: 40px;
}
.main .maincont .productcont{
  height: 270px;
  width: 170px;
  background-color: white;
  position: relative;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
.main .maincont .productcont:hover{
  transform: scale(1.022);
}
.main .maincont .productcont img{
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  position:relative;
  top: 0px;
  height: 150px;
  width: 100%;
  object-fit: cover;
}
.main .maincont .productcont .name{
  color: black;
  font-size: 17px;
  padding: 5px 5px;
  height: 40px;
  font-weight: normal;
}
.main .maincont .productcont .price{
  color: black;
  font-size: 15px;
  padding: 5px 5px;
  font-weight: bold;
}
.main .maincont .productcont button{
  border: none;
  outline: none;
  position: absolute;
  bottom: 2px;
  width: 80%;
  left: 10%;
  background-color: rgb(224, 149, 8);
  border-radius: 20px;
  font-size: 16px;
  padding: 8px 12px;
}





@media only screen and (min-width: 780px){
  .header{
    position: relative;
    height: 350px;
    width: 100%;
    background-color: grey;
  }
  .header .headercont .name{
    font-weight: bold;
    color: gold;
    position: absolute;
    font-size: 65px;
    top: 140px;
    text-transform: uppercase;
  }
  .header .headercont .directive{
    font-weight: bold;
    color: rgb(233, 231, 231);
    top: 200px;
    text-transform: uppercase;
    position: absolute;
    font-size: 24px;
  }
  .header .headercont .promise{
    font-weight: bold;
    color:gold;
    top: 200px;
    text-transform: uppercase;
    position: absolute;
    font-size: 18px;
  }
  
  
}